Subject: Re: bug#78489: 30.1.50; Using etags, Ada and xref-find-definitions doesn't find definitions

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 May 2025 18:29:46 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Troy Brown <[email-masked]>,  [email-masked]
> Date: Tue, 27 May 2025 10:00:29 -0400
> 
> I haven't had time to look closely, but IIUC those `/p` aren't
> reallypart of the completed names but only some meta-info about their
> nature, so it sounds like a job for `:annotation-function` (in
> `completion-at-point-function`) or `annotation-function` (in the
> completion table's metadata).

I'm not sure I follow: if you say that annotation-function should add
those "/p" qualifiers, then that's not really possible, since they are
appended by etags and are present in the TAGS file.  Ada tags always
worked like that, for some reason I cannot understand, but we cannot
easily change this now.